package Apache::LogSTDERR::Config;

use strict;
use Apache::ModuleConfig ();
{
    no strict;
    $VERSION = '0.10';
    @ISA = qw(DynaLoader);
}

__PACKAGE__->bootstrap if $ENV{MOD_PERL};

sub HookStderr ($$$) {
    my($cfg, $parms, $file) = @_;
    Apache::LogSTDERR::open_stderr_log($parms->server, $file);
    Apache->push_handlers(PerlChildInitHandler => sub {
	Apache::LogSTDERR::dup_stderr(shift->server);
	0;
    });
}

sub HookPerlStderr ($$$) {
    my($cfg, $parms, $file) = @_;
    Apache::LogSTDERR::open_STDERR_log($parms->server, $file);
}


1;
__END__
