package Apache::LogSTDERR::Config;
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

use Apache::src ();
use Apache::ExtUtils qw(command_table);

command_table([
   {
       name => "HookStderr",
       errmsg => "a file name",
       args_how => "TAKE1",
       req_override => "RSRC_CONF",
   },
   {
       name => "HookPerlStderr",
       errmsg => "a file name",
       args_how => "TAKE1",
       req_override => "RSRC_CONF",
   },
]);

WriteMakefile(
    'NAME'      => 'Apache::LogSTDERR::Config',
    'VERSION_FROM' => 'Config.pm', # finds $VERSION
    'INC'       => Apache::src->new->inc,
    'clean' => { FILES => "Config.xs Config.xs.orig" },
);
